%define tarball xf86-video-amd
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define gitdate 20060821

Summary:   Xorg X11 AMD Geode video driver
Name:      xorg-x11-drv-amd
Version:   0.0
Release:   5.%{gitdate}git%{?dist}
URL:       http://git.infradead.org/?p=users/jcrouse/xf86-video-amd.git
Source0:    xf86-video-amd-0.0-git%{gitdate}.tar.bz2
#Source1:   amd.xinf
License:   MIT/X11
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86}

BuildRequires: pkgconfig
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gcc >= 3.4.0
%if "%{dist}" == ".fc5"
BuildRequires: xorg-x11-server-sdk
%else
BuildRequires: xorg-x11-server-sdk >= 1.0.99.901
%endif
BuildRequires: xorg-x11-proto-devel

%if "%{dist}" == "fc5"
Requires:  xorg-x11-server-Xorg >= 1.1.0
%else
Requires:  xorg-x11-server-Xorg >= 1.1.0
%endif

%description 
X.Org X11 AMD Geode video driver.

%prep
#%setup -q -n %{tarball}-%{version}
%setup -q -n %{tarball}

%build
./autogen.sh --disable-static --libdir=%{_libdir} --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

#mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
#install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/amd_drv.so
%{driverdir}/ztv_drv.so
#%{_datadir}/hwdata/videoaliases/amd.xinf
#%dir %{_mandir}/man4x
%{_mandir}/man4/amd.4*

%changelog
* Mon Aug 21 2006 Adam Jackson <ajackson@redhat.com> 0.0-5.20060821git.fc6
- Today's snapshot: EXA fixes.

* Wed Aug 16 2006 Adam Jackson <ajackson@redhat.com> 0.0-4.20060816git.fc6
- Un-reset the Release: number.

* Wed Aug 16 2006 Adam Jackson <ajackson@redhat.com> 0.0-1.20060816git.fc6
- git update: more Xv fixes.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 0.0-3.20060809git.fc6
- Fix FC5 Requires too.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 0.0-2.20060809git.fc6
- FC5 build fixes, mostly BuildRequires.

* Wed Aug  9 2006 Adam Jackson <ajackson@redhat.com> 0.0-1.20060809git.fc6
- git update: olpc dcon support, Xv fixes.
- Attempted support for building against FC5.

* Fri Jul  7 2006 Adam Jackson <ajackson@redhat.com> 0.0-0.git20060706.fc6
- Initial spec (from -nsc) and git snapshot.
